Skip to main content
POST
/
graphql#ListCurrencies
List currencies
curl --request POST \
  --url 'https://clarus-api.com/graphql#ListCurrencies' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Clarus-Subdomain: <api-key>' \
  --data '
{
  "query": "query($filter: CurrencyFilterType) { currencies { all(filter: $filter) { edges { node { id code name default } } } } }"
}
'
{
  "data": {
    "currencies": {
      "all": {
        "edges": [
          {
            "node": {
              "id": "1",
              "code": "gbp",
              "name": "Pound Sterling",
              "default": true
            }
          }
        ]
      }
    }
  }
}

Query Structure

query($filter: CurrencyFilterType) {
  currencies {
    all(filter: $filter) {
      edges {
        node {
          id
          code
          name
          default
        }
      }
    }
  }
}

Filter Argument

All filters are passed inside the filter argument. Each filter field accepts an input object with operators (e.g. eq, ilike, from, to, between):
{
  "filter": {
    "id": {
      "eq": "value"
    }
  }
}

Available Filters

FilterInput TypeOperatorsDescription
idIdInputTypeeq, in, gt, gteq, lt, lteq, filledCurrency ID
codeCodeInputTypeeq, inISO 4217 currency code, lowercase (enum input — e.g. gbp, usd, eur)
nameStringInputTypeeq, ilike, like, in, betweenCurrency name
defaultBooleanInputTypeeqWhether this is the default currency
created_atDatetimeInputTypeeq, from, to, betweenCreation timestamp
More fields and filters available via GraphQL introspection.

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.

X-Clarus-Subdomain
string
header
required

The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.

Body

application/json
query
string<textarea>
required

GraphQL query string

Example:

"query($filter: CurrencyFilterType) { currencies { all(filter: $filter) { edges { node { id code name default } } } } }"

variables
object

Query variables including the filter object

Example:
{ "filter": { "code": { "eq": "gbp" } } }

Response

Successful GraphQL response

data
object

Query result data

errors
object[]

GraphQL errors, if any